xcallsbypid.d(1m)

NAME
xcallsbypid.d - CPU cross calls by PID. Uses DTrace.

SYNOPSIS
xcallsbypid.d

DESCRIPTION
xcallsbypid.d reports the number of CPU cross calls by process name and process ID. Cross calls occur when a CPU requests another CPU to do work on it's behalf. A great number of these can be a burden on the system. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # xcallsbypid.d

FIELDS

PID process ID

CMD process name

XCALLS
    number cross calls

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
xcallsbypid.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
mpstat(1m), dtrace(1M)